% Copyright Pieter Abbeel
%

function xnext = sample_motion_model_velocity(x, u, delta_t, alpha)

% x: current state [x;y;theta]
% u: control inputs [v;omega]
% delta_t: discrete time interval to integrate motion model over
% alpha: 6-d vector with noise parameters
%
% NOTE: for efficiency of your particle filter, you'll want to vectorize
% this function --- meaning you can pass in a matrix x, with each column of
% the matrix x corresponding to one particle; and what you pass out is a
% matrix xnext with the next state for each particle in each respective
% column


% YOUR code here